/**
 * ReverseCharArray is a class which prints the elements of
 * a char array to the console, in reverse order.
 *
 * CS103 Homework 7 Solution (Problem 1)
 *
 * @author  Randy Phillips
 * @version 1.0
 */
public class ReverseCharArray
{
  public static void main(String[] args)
  {
    char[] word = {'h','e','l','l','o'};

    System.out.println(reverse(word));
  }

  /**
   * Returns a copy of the passed char array, with the elements in reverse order
   *
   * @param c - char array to be reversed
   *
   * @return a copy of the passed char array in reverse order
   */
  public static char[] reverse(char[] c)
  {
    char[] cReverse = new char[c.length];

    for (int i = 0; i < c.length; i++)
      cReverse[(c.length - 1) - i] = c[i];

    return cReverse;
  }
}